import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';

import { InputSize, Currency, FormatAmount } from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T14A extends Component {

    name = '14A'
    desp = "Business Day Convention"

    pattern = "9a"
    tno = -1
    keys = [1]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""
        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });
        let mval = `${obj.s1}`

        this.props.onValue([obj, mval])
    }


    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}
        return (<Row>
            <Col style={{ "minWidth": '200px' }} span={3}>
                <FormItem
                    label="Convention"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >
                    <Select size={InputSize}
                        placeholder="Convention"
                        allowClear={true}
                        style={{ width: "100%" }} value={value.s1} onChange={val => this.onChange(1, val)} >
                        <Option value="FOLLOWING">FOLLOWING</Option>
                        <Option value="FRN">FRN</Option>
                        <Option value="MODIFIEDF">MODIFIEDF</Option>
                        <Option value="OTHER">OTHER</Option>
                        <Option value="PRECEDING">PRECEDING</Option>
                      
                    </Select>
                </FormItem>
            </Col>

        </Row>)
    }
}